.image_matrix: &image-matrix
  parallel:
    matrix:
      - IMG: ["reflex-server"]

stages:
  #- build-base-image
  - build-reflex-server
  #- tag
  #- release

#base-image:
#  stage: build-base-image
#  trigger:
#    include:
#      - local: base-image/.gitlab-ci.yml
#    strategy: depend
#  rules:
#    - changes:
#        - base-image/*
#        - .gitlab-ci.yml

reflex-server:
  stage: build-reflex-server
  trigger:
    include:
      - local: reflex-server/.gitlab-ci.yml
    strategy: depend
  rules:
    - changes:
        - reflex-server/*
        - .gitlab-ci.yml

# .tag_image:
#   <<: *image-matrix
#   stage: tag
#   image: gitlab-registry.cern.ch/ci-tools/docker-builder/tools
#   variables:
#     GIT_STRATEGY: none
#   dependencies: []
#   # needs:
#   #   - build
#   script:
#     - echo "${CI_PIPELINE_IID}"
#     - /kaniko/auth.sh
#     - crane tag "$CI_REGISTRY_IMAGE/${CI_PROJECT_TITLE}-${IMG}:$CI_COMMIT_SHORT_SHA" "${TAG}"
#     - crane validate --remote "$CI_REGISTRY_IMAGE/${CI_PROJECT_TITLE}-${IMG}:${TAG}"

# tag_latest:
#   extends: .tag_image
#   variables:
#     TAG: latest
#   only:
#     - master
#     - main

# tag_tags:
#   extends: .tag_image
#   variables:
#     TAG: $CI_COMMIT_TAG
#   only:
#     - tags

# release_job:
#   stage: release
#   image: registry.gitlab.com/gitlab-org/release-cli:latest
#   rules:
#     - if: $CI_COMMIT_TAG # Run this job when a tag is created
#   script:
#     - echo "running release_job"
#   release: # See https://docs.gitlab.com/ee/ci/yaml/#release for available properties
#     tag_name: "$CI_COMMIT_TAG"
#     name: "Release $CI_COMMIT_TAG"
#     # ref: "$CI_COMMIT_SHA"
#     description: "./CHANGELOG.md"
#     # released_at:
#     # assets:
#     #   links:
#     #     - name: ${CI_PROJECT_TITLE} Base Image
#     #       url: ${CI_REGISTRY_IMAGE}/${CI_PROJECT_TITLE}-base
#     #       link_type: image
#     #     - name: ${CI_PROJECT_TITLE} CLI tool
#     #       url: ${CI_REGISTRY_IMAGE}/${CI_PROJECT_TITLE}-cli
#     #       link_type: image
